<?php
$slice_url = dirname(__FILE__);
if ( preg_match('#wp-content#isU', $slice_url) ) {
	require_once '../../../../wp-load.php';  
}
else {
	require_once '../../../../../wp-load.php';  
}  
header("Content-type: text/css");

// Custom Skins
$style_custom = st_option('style_custom');
if ( $style_custom )
{
	$style_custom_color = st_option('style_custom_color');
	if ( $style_custom_color ) {
		echo ".st-highlight,
.st-progress .progress .bar.color-default,
.iconbox-top .iconbox-icon i,
.st-historylist > li:hover .history-icon i,
.btn, 
button,
html input[type=\"button\"], 
input[type=\"reset\"], 
input[type=\"submit\"], 
.st-button.default, 
.st-ctabox a.ctabox-button,
.st-tabs .tab-title li a:hover,
.st-tabs .tab-title li.active a,
.toggle .accordion-title:hover .accordion-icon,
.toggle .accordion-title.active .accordion-icon,
.st-accordion .accordion-title.active .accordion-icon:after,
.st-social a:hover,
.flickr_badge_image a:before,
.portfolio-container .post-thumb .zoom-overlay,
.st-progress .progress .bar,
.st-pricing .plan-link a,
.st-icon.box, 
.st-icon.rounded, 
.st-icon.circle,
.portfolio-filter li:hover:before,
.portfolio-filter li.active:before,
.st-dropcap2{ 
	background-color:#4486c7;
}
#footer a,
.st-divider:before,
.iconbox-left .iconbox-icon i,
.st-accordion .accordion-title:hover,
.st-accordion .accordion-title.active,
.flexslider .flex-direction-nav .flex-prev:hover:before, 
.flexslider .flex-direction-nav .flex-next:hover:before,
.widget_nav_menu li a:hover, 
.widget_recent_entries li a:hover, 
.widget_recent_comments li a:hover, 
.widget_archive li a:hover, 
.widget_categories li a:hover, 
.widget_meta li a:hover, 
.widget-blog .media-body a:hover, 
.widget_product_categories li a:hover,
.widget-twitter li span a,
.widget_pages li a:hover,
.portfolio-container .post-thumb .zoom-hover,
.st-pricing .plan-link a:hover,
.st-pricing .plan-price,
.blog-list .post-title a:hover,
.blog-tags a,
.post-website a:hover,
.more-link,
#comments .commentlist .fn,
.portfolio-filter li:hover a,
.portfolio-filter li.active a,
.post-category a:hover,
.post-nav .post-prev a, 
.post-nav .post-next a,
.st-historylist .st-iconlist li i,
.st-dropcap,
.woocommerce ul.products li.product .price ins, 
.woocommerce-page ul.products li.product .price ins, 
.woocommerce .product_list_widget ins, 
.woocommerce .product_list_widget .amount,
.woocommerce ul.products li.product .price, 
.woocommerce-page ul.products li.product .price,
.woocommerce .widget_shopping_cart_content .amount,
.woocommerce ul.cart_list li a:hover,
.woocommerce-page ul.cart_list li a:hover,
.woocommerce ul.product_list_widget li a:hover,
.woocommerce-page ul.product_list_widget li a:hover,
.woocommerce-message a, 
.woocommerce-error a, 
.woocommerce-info a{
	color:#4486c7;
}
.primary-menu ul,
blockquote, 
blockquote.pull-left, 
blockquote.pull-right,
.st-pricing .plan-link a:hover,
.st-ctabox{
	border-color:#4486c7;
}\n";
	}	
	//font
	if ( $style_custom_font_color_heading = st_option('style_custom_font_color_heading') ) {
		echo "#content-wrapper h1, #content-wrapper h2, #content-wrapper h3, #content-wrapper h4, #content-wrapper h5, #content-wrapper h6, #content-wrapper .post-title { color: $style_custom_font_color_heading; }\n";
	}
	if ( $style_custom_font_color_text = st_option('style_custom_font_color_text') ) {
		echo "body, #st-wrapper { color: $style_custom_font_color_text; }\n";
	}
	//link
	if ( $style_custom_link_color_heading = st_option('style_custom_link_color_heading') ) {
		echo "#content-wrapper h1 a, #content-wrapper h2 a, #content-wrapper h3 a, #content-wrapper h4 a, #content-wrapper h5 a, #content-wrapper h6 a, #content-wrapper .post-title a { color: $style_custom_link_color_heading; }\n";
	}
	if ( $style_custom_link_color_heading_hover = st_option('style_custom_link_color_heading_hover') ) {
		echo "#content-wrapper h1 a:hover, #content-wrapper h2 a:hover, #content-wrapper h3 a:hover, #content-wrapper h4 a:hover, #content-wrapper h5 a:hover, #content-wrapper h6 a:hover, #content-wrapper .post-title a:hover { color: $style_custom_link_color_heading_hover; }\n";
	}
	if ( $style_custom_link_color_text = st_option('style_custom_link_color_text') ) {
		echo "#content-wrapper a { color: $style_custom_link_color_text; }\n";
	}
	if ( $style_custom_link_color_text_hover = st_option('style_custom_link_color_text_hover') ) {
		echo "#content-wrapper a:hover { color: $style_custom_link_color_text_hover; }\n";
	}
}

// Background Pattern/Image
$style_bg_type = st_option('style_bg_type');
if ( $style_bg_type == 1 ) {
	$style_bg_pattern = st_option('style_bg_pattern');
	if ( !empty($style_bg_pattern) ) {
		echo "body { background-image: url('". SLICETHEME_IMAGES ."/pattern/". $style_bg_pattern ."'); }\n";
	}
}
elseif ( $style_bg_type == 2 ) {
	$style_bg_image = st_option('style_bg_image');
	if ( is_array($style_bg_image) ) {
		$style_bg_output = '';
		if ( !empty($style_bg_image['color']) ) 			$style_bg_output.= "background-color: ". $style_bg_image['color'] .";\n";
		if ( !empty($style_bg_image['image']) ) {
															$style_bg_output.= "background-image: url('". $style_bg_image['image'] ."');\n";
			if ( !empty($style_bg_image['repeat']) ) 		$style_bg_output.= "background-repeat: ". $style_bg_image['repeat'] .";\n";
			if ( !empty($style_bg_image['position']) ) 		$style_bg_output.= "background-position: ". $style_bg_image['position'] .";\n";
			if ( !empty($style_bg_image['attachment']) )	$style_bg_output.= "background-attachment: ". $style_bg_image['attachment'] .";\n";
		}
		if ( !empty($style_bg_output) ) {
			echo "body {\n";
				echo $style_bg_output;
			echo "}\n";
		}
	}
}
// Background Title
$style_bg_title = st_option('style_bg_title');
if ( is_array($style_bg_title) ) {
	$style_bg_output = '';
	if ( !empty($style_bg_title['color']) ) 			$style_bg_output.= "background-color: ". $style_bg_title['color'] .";\n";
	if ( !empty($style_bg_title['image']) ) {
														$style_bg_output.= "background-image: url('". $style_bg_title['image'] ."');\n";
		if ( !empty($style_bg_title['repeat']) ) 		$style_bg_output.= "background-repeat: ". $style_bg_title['repeat'] .";\n";
		if ( !empty($style_bg_title['position']) ) 		$style_bg_output.= "background-position: ". $style_bg_title['position'] .";\n";
		if ( !empty($style_bg_title['attachment']) )	$style_bg_output.= "background-attachment: ". $style_bg_title['attachment'] .";\n";
	}
	if ( !empty($style_bg_output) ) {
		echo "#title-wrapper {\n";
			echo $style_bg_output;
		echo "}\n";
	}
}
// Background Footer
$style_bg_footer = st_option('style_bg_footer');
if ( is_array($style_bg_footer) ) {
	$style_bg_output = '';
	if ( !empty($style_bg_footer['color']) ) 			$style_bg_output.= "background-color: ". $style_bg_footer['color'] .";\n";
	if ( !empty($style_bg_footer['image']) ) {
														$style_bg_output.= "background-image: url('". $style_bg_footer['image'] ."');\n";
		if ( !empty($style_bg_footer['repeat']) ) 		$style_bg_output.= "background-repeat: ". $style_bg_footer['repeat'] .";\n";
		if ( !empty($style_bg_footer['position']) ) 	$style_bg_output.= "background-position: ". $style_bg_footer['position'] .";\n";
		if ( !empty($style_bg_footer['attachment']) )	$style_bg_output.= "background-attachment: ". $style_bg_footer['attachment'] .";\n";
	}
	if ( !empty($style_bg_output) ) {
		echo "#footer {\n";
			echo $style_bg_output;
		echo "}\n";
	}
}

// Font Size
$style_heading_fz = st_option('style_heading_fz');
$style_menu_fz = st_option('style_menu_fz');
$style_body_fz = st_option('style_body_fz');

if ( !empty($style_heading_fz['h1']) ) {
	echo "h1 { font-size: ". $style_heading_fz['h1'] ."; }\n";
}
if ( !empty($style_heading_fz['h2']) ) {
	echo "h2 { font-size: ". $style_heading_fz['h2'] ."; }\n";
}
if ( !empty($style_heading_fz['h3']) ) {
	echo "h3 { font-size: ". $style_heading_fz['h3'] ."; }\n";
}
if ( !empty($style_heading_fz['h4']) ) {
	echo "h4 { font-size: ". $style_heading_fz['h4'] ."; }\n";
}
if ( !empty($style_heading_fz['h5']) ) {
	echo "h5 { font-size: ". $style_heading_fz['h5'] ."; }\n";
}
if ( !empty($style_heading_fz['h6']) ) {
	echo "h6 { font-size: ". $style_heading_fz['h6'] ."; }\n";
}
if ( !empty($style_menu_fz) ) {
	echo "#header .primary-menu li a { font-size: $style_menu_fz; }\n";
}
if ( !empty($style_body_fz) ) {
	echo "body { font-size: $style_body_fz; }\n";
}

// Heading Font Family
$style_heading_ft = st_option('style_heading_ft'); //print_r($style_heading_ft);

if ( $style_heading_ft['type'] == 1 ) {
	$font_family = $style_heading_ft['webfont'];
	echo "h1,h2,h3,h4,h5,h6 { font-family: '$font_family', Arial, serif; }\n";
}
elseif ( $style_heading_ft['type'] == 2 ) {
	$font_family = $style_heading_ft['google'];
	if ( false !== ($p = strpos($font_family, ':')) ) $font_family = substr($font_family, 0, $p);
	echo "h1,h2,h3,h4,h5,h6 { font-family: '$font_family', Arial, serif; }\n";
}

// Menu Font Family
$style_menu_ft = st_option('style_menu_ft'); //print_r($style_menu_ft);

if ( $style_menu_ft['type'] == 1 ) {
	$font_family = $style_menu_ft['webfont'];
	echo "#header .primary-menu li a { font-family: '$font_family', Arial, serif; }\n";
}
elseif ( $style_menu_ft['type'] == 2 ) {
	$font_family = $style_menu_ft['google'];
	if ( false !== ($p = strpos($font_family, ':')) ) $font_family = substr($font_family, 0, $p);
	echo "#header .primary-menu li a { font-family: '$font_family', Arial, serif; }\n";
}

// Body Font Family
$style_body_ft = st_option('style_body_ft'); //print_r($style_body_ft);

if ( $style_body_ft['type'] == 1 ) {
	$font_family = $style_body_ft['webfont'];
	echo "body { font-family: '$font_family', Arial, serif; }\n";
}
elseif ( $style_body_ft['type'] == 2 ) {
	$font_family = $style_body_ft['google'];
	if ( false !== ($p = strpos($font_family, ':')) ) $font_family = substr($font_family, 0, $p);
	echo "body { font-family: '$font_family', Arial, serif; }\n";
}

// Custom CSS
if ( $style_css = st_option('style_css') ) {
	echo $style_css."\n";
}

?>