<?php
/** A simple text block **/
class AQ_Accordion_Block extends AQ_Block {
	
	//set and create block
	function __construct() {
		$block_options = array(
			'name' => 'Accordion',
			'size' => 'aq-shortcode',
			'shortcode_name' => 'accordion',
		);
		
		//create the block
		parent::__construct('AQ_Accordion_Block', $block_options);
		
		//add ajax functions
		add_action('wp_ajax_aq_block_'.$block_options['shortcode_name'].'_add_new', array($this, 'add_tab'));
	}
	
	function form($instance) {
		
		$defaults = array(
			'st_child' => array(
				1 => array()
			)
		);
		
		$instance = wp_parse_args($instance, $defaults);
		
		$this->formate_shortcode($instance);
		
	}
	
	function block($instance) {
		
		$this->display_shortcode($instance);
		
	}
	
	/* AJAX add tab */
	function add_tab() {
		$nonce = $_POST['security'];	
		if (! wp_verify_nonce($nonce, 'aqpb-settings-page-nonce') ) die('-1');
		
		$count = isset($_POST['count']) ? absint($_POST['count']) : false;
		$this->block_id = isset($_POST['block_id']) ? $_POST['block_id'] : 'aq-block-9999';
		
		//default key/value for the tab
		$tab = array();
		
		if($count) {
			$this->formate_shortcode_child($tab, $count);
		} else {
			die(-1);
		}
		
		die();
	}
	
	function update($new_instance, $old_instance) {
		$new_instance = aq_recursive_sanitize($new_instance);
		return $new_instance;
	}
	
}