<section id="title-wrapper">

	<div class="container">
	<div class="row-fluid">
		
		<div class="span12">
		
			<?php
			$shop_id = get_option( 'woocommerce_shop_page_id' );
			$aligntitle = '';
			$general_aligntitle = get_post_meta($shop_id, '_general_aligntitle', TRUE);		
			if ( !empty($general_aligntitle) ) {
				$aligntitle = 'text-'.$general_aligntitle;
			}
			
			if ( is_shop() ) {
				?>
				<h1 class="page-title <?php echo $aligntitle; ?>"><?php woocommerce_page_title(); $sub_title = get_post_meta($shop_id, '_general_subtitle', TRUE); if ( !empty($sub_title) ) echo ' <span>'. $sub_title .'</span>'; ?></h1>
				<?php			
				if ( st_option('interface_breadcrumb') == 1 ) {
					$general_hidecrumb = get_post_meta($shop_id, '_general_hidecrumb', TRUE);		
					if ( $general_hidecrumb <> 'on' ) {
						woocommerce_breadcrumb();
					}
				}
			}
			else {
				if ( is_product() ) {
					?>
					<h1 class="page-title"><?php the_title(); ?></h1>
					<?php
				}
				else {
					?>
					<h1 class="page-title"><?php woocommerce_page_title(); ?></h1>
					<?php
				}
				woocommerce_breadcrumb();
			}
            ?>
				
		</div>
	
	</div>
	</div>

</section>