<?php 
$st_url = dirname(__FILE__);
if ( preg_match('#wp-content#isU', $st_url) ) {
	$path_to_file = explode('wp-content', $st_url);
	$path_to_wp = $path_to_file[0];
	require_once  $path_to_wp .'/wp-load.php';  
}
else {
	require_once '../../../../../../wp-load.php';  
}

function valid_email($str)
{
	return ( ! preg_match("/^([a-z0-9\+_\-]+)(\.[a-z0-9\+_\-]+)*@([a-z0-9\-]+\.)+[a-z]{2,6}$/ix", $str)) ? FALSE : TRUE;
}

if ( isset($_POST) )
{
	$_POST = array_map('trim', $_POST);
	
	$contact_name = stripslashes($_POST['contact_name']);
	$contact_email = stripslashes($_POST['contact_email']);
	$contact_subject = isset($_POST['contact_subject']) ? stripslashes($_POST['contact_subject']) : '-';
	$contact_message = stripslashes($_POST['contact_message']);
	
	$regex_email = "/^([a-z0-9\+_\-]+)(\.[a-z0-9\+_\-]+)*@([a-z0-9\-]+\.)+[a-z]{2,6}$/ix";
	
	$resp = recaptcha_check_answer (st_option('contact_privatekey'),
                                $_SERVER["REMOTE_ADDR"],
                                @$_POST["recaptcha_challenge_field"],
                                @$_POST["recaptcha_response_field"]);
	
	if ( empty($contact_name) ) {
		$halt[] = __('Please enter your name.', 'slicetheme');
	}
	if ( empty($contact_email) ) {
		$halt[] = __('Please enter your email.', 'slicetheme');
	}
	elseif ( !valid_email($contact_email) ) {
		$halt[] = __('Please enter a valid email address.', 'slicetheme');
	}
	if ( empty($contact_message) ) {
		$halt[] = __('Please enter message.', 'slicetheme');
	}
	if ( st_option('contact_recaptcha') == 1 && isset($_POST['recaptcha']) && $_POST['recaptcha'] == 'true' && !$resp->is_valid ) {
		$halt[] = __('The reCAPTCHA wasn\'t entered correctly.', 'slicetheme');
	}
	
	if ( isset($halt) )
	{
		echo '<div class="st-message error">';
		echo '<a href="#" class="close" data-dismiss="alert">&times;</a>';
		echo @implode('<br />', $halt);
		echo '</div>';
	}
	else {		
		$messages = '
		<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
		"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
		<html xmlns="http://www.w3.org/1999/xhtml">
		<head></head>
		<body>
		<table>
			<tr><td valign="top"><b>'. __('Name', 'slicetheme') .'</b></td><td valign="top">:</td><td valign="top">' . $contact_name . '</td></tr>
			<tr><td valign="top"><b>'. __('Email', 'slicetheme') .'</b></td><td valign="top">:</td><td valign="top">' . $contact_email . '</td></tr>
			<tr><td valign="top"><b>'. __('Subject', 'slicetheme') .'</b></td><td valign="top">:</td><td valign="top">' . $contact_subject . '</td></tr>
			<tr><td valign="top"><b>'. __('Message', 'slicetheme') .'</b></td><td valign="top">:</td><td valign="top">' . $contact_message . '</td></tr>
		</table>
		</body>
		</html>';
		
		$headers = "MIME-Version: 1.0" . "\r\n";  
		$headers .= "Content-type:text/html;charset=iso-8859-1" . "\r\n";  
		$headers .= "From: " . stripslashes($contact_name) . " <" . $contact_email . ">" . "\r\n";  	
		$headers .= "Sender-IP: " . $_SERVER["SERVER_ADDR"] . "\r\n";
		$headers .= "Priority: normal" . "\r\n";
		$headers .= "X-Mailer: PHP/" . phpversion();
		
		$body = utf8_decode($messages);
		
		$to = !empty($_POST['send_to']) ? slicetheme_decrypt($_POST['send_to']) : st_option('contact_email');
		$subject = __('Contact Email From', 'slicetheme') .': '. $contact_name;
		
		if ( wp_mail( $to, $subject, $body, $headers ) )
		{
			echo '<div class="st-message success">';
			echo '<a href="#" class="close" data-dismiss="alert">&times;</a>';
			echo st_option('contact_success', 'Thank you for using our contact form! Your email was successfully sent.');
			echo '</div>';
		}
		else
		{			
			echo '<div class="st-message error">';
			echo '<a href="#" class="close" data-dismiss="alert">&times;</a>';
			echo 'Something went wrong!';
			echo '</div>';
		}
	}
}