<?php get_header(); ?>
	
<!-- main-container -->
<section id="main-wrapper" role="main">

	<div class="container">
	<div class="row">

		<?php		
		global $portfolio_cfg;
		
		$portfolio_cfg['page_portfolio_gallery'] = FALSE;
		
		$portfolio_cfg['section_class']	= 'span3';
		$portfolio_cfg['thumb_width']	= $st_imgsize['work'][4]['w'];
		$portfolio_cfg['thumb_height']	= $st_imgsize['work'][4]['h'];
		?>
		
		<div id="content-wrapper" class="span12 content-full">
		
			<div class="row-fluid">
			
				<div class="span12">
				
					<ul class="portfolio-filter unstyled">
						<?php
						$categories = get_categories( array('taxonomy'	=> 'portfolio-category', 'hide_empty' => 0) );
						foreach($categories as $category)
						{
							$class = ( $_GET['portfolio-category'] == $category->slug ) ? 'class="active"' : '';
							?>
							<li <?php echo $class; ?>><a href="<?php echo get_term_link( $category->slug, $category->taxonomy ); ?>"><?php echo $category->cat_name; ?></a></li>
							<?php
						}
						?>
					</ul>
					
				</div>
			
			</div>
			
			<div class="row">
				
				<div id="ourHolder">
				
					<?php get_template_part( 'library/includes/loop', 'portfolio' ); ?>		
							
				</div>
				
			</div>
			
			<div class="row-fluid">
		
				<div class="span12">
				
					<?php slicetheme_pagenav(); ?>
					
				</div>
				
			</div>
		   
		</div>
	
	</div>
	</div>

</section>
<!-- end main-container -->

<?php get_footer(); ?>