<?php get_header(); ?>
	
<!-- main-container -->
<section id="main-wrapper" role="main">

	<div class="container">
	<div class="row-fluid">

		<div id="content-wrapper" class="span9 content-part">
		
			<?php
			$page_blog = get_post_meta($post->ID, '_page_blog', TRUE);
			$page_blog_cat = get_post_meta($post->ID, '_page_blog_cat', TRUE);
			$page_blog_num = get_post_meta($post->ID, '_page_blog_num', TRUE);
			
			global $st_imgsize;
						
			$paged = get_query_var('paged') ? get_query_var('paged') : 1;
			if ( !empty($page_blog_cat) ) {
				$args = array(
					'post_type' => 'post',
					'posts_per_page' => $page_blog_num,
					'tax_query' => array(
						array(
							'taxonomy' => 'category',
							'field' => 'id',
							'terms' => $page_blog_cat
						)
					),
					'paged' => $paged
				);
				query_posts($args);
			}
			else {
				query_posts(array( 'post_type' => 'post', 'showposts' => $page_blog_num, 'paged' => $paged ));
			}
			
			get_template_part( 'library/includes/loop', 'blog' );
								
			slicetheme_pagenav();
			
			wp_reset_query();
			?>
		   
		</div>
		
		<!-- sidebar right -->
		<aside id="sidebar-wrapper" class="span3 sidebar">
		
			<?php get_sidebar(); ?>
		
		</aside>
		<!-- end sidebar right -->
	
	</div>
	</div>

</section>
<!-- end main-container -->

<?php get_footer(); ?>