<?php get_header(); ?>
	
<!-- main-container -->
<section id="main-wrapper" role="main">

	<div class="container">
	<div class="row-fluid">

		<div id="content-wrapper" class="span12 content-full">
		
			<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
			
			<!-- post entry -->
			<article id="post-<?php the_ID(); ?>" class="page-single clearfix">
				
				<div class="post-content">
					
					<div class="row-fluid">
					
						<div class="span3">
												
							<section class="widget widget_pages">
								<h3 class="widget-title"><span><?php _e('Latest Projects', 'slicetheme'); ?></span></h3>
								<ul>
									<?php 
									query_posts(array( 'post_type' => 'portfolio', 'showposts' => 20 ));
									if (have_posts()) :	while (have_posts()) : the_post();
									echo '<li><a href="'. get_permalink() .'" title="'. get_the_title() .'">'. get_the_title() .'</a></li>';
									endwhile; endif;
									wp_reset_query();
									?>
								</ul>
							</section>
							
						</div>
						
						<div class="span3">
												
							<?php
							$wgt_args = array(
									'before_widget' => '<section class="widget widget_recent_entries">', 
									'after_widget' => '</section>', 
									'before_title' => '<h3 class="widget-title"><span>', 
									'after_title' => '</span></h3>', 
									);
							
							the_widget('WP_Widget_Recent_Posts', 'title=Latest Posts&count=20', $wgt_args);
							?>
							
						</div>
						
						<div class="span3">
							
							<section class="widget widget_pages">
								<h3 class="widget-title"><span><?php _e('Available Pages', 'slicetheme'); ?></span></h3>
								<ul>
									<?php wp_list_pages('title_li=&depth=-1'); ?>
								</ul>
							</section>
													
						</div>
						
						<div class="span3">
							
							<section class="widget widget_categories">
								<h3 class="widget-title"><span><?php _e('Portfolio Category', 'slicetheme'); ?></span></h3>
								<ul>
									<?php wp_list_categories('taxonomy=portfolio-category&sort_column=name&optioncount=0&hierarchical=0&title_li='); ?>
								</ul>
							</section>
							
							<section class="widget widget_categories">
								<h3 class="widget-title"><span><?php _e('Blog Category', 'slicetheme'); ?></span></h3>
								<ul>
									<?php wp_list_categories('sort_column=name&optioncount=0&hierarchical=0&title_li='); ?>
								</ul>
							</section>
						
							<section class="widget widget_archive">
								<h3 class="widget-title"><span><?php _e('Archives by Month', 'slicetheme'); ?></span></h3>
								<ul>
									<?php wp_get_archives('type=monthly'); ?>
								</ul>
							</section>
						
						</div>
						
					</div>
					
				</div>				
				
			</article>
			<!-- end post entry -->
		   
			<?php endwhile; endif; ?>
		   
		</div>
	
	</div>
	</div>

</section>
<!-- end main-container -->

<?php get_footer(); ?>