jQuery(document).ready(function ($) {
								 
	/* Add new sidebar */	
	$(".sidebar_add_button").live('click', function(){		
		
		var sidebarContainer = $(this).parent().next(); //alert(sidebarContainer);
		var sidebarGet = $(this).prev().attr('id');
		var sidebarId = sidebarGet.replace('-input', ''); //alert(sidebarId);
		var sidebarData = $(this).prev().val(); //alert(sidebarData);
		if ( sidebarData != '' )
		{
			sidebarContainer.append('<li><strong>' + sidebarData + '</strong> <span>(<a class="sidebar_delete_button" href="#">Delete</a>)</span> <input type="hidden" name="' + sidebarId +'[]" value="' + sidebarData + '" /></li>');
			$(this).prev().val('');
		}
		return false; //prevent jumps, as always..
	});	
	
	$('.sidebar_delete_button').live('click', function(){
	// event.preventDefault();
	var agree = confirm("Are you sure you wish to delete this sidebar?");
		if (agree) {
			var $trash = $(this).parents('li');
			//$trash.slideUp('slow', function(){ $trash.remove(); }); //chrome + confirm bug made slideUp not working...
			$trash.remove();
			return false; //Prevent the browser jump to the link anchor
		} else {
		return false;
		}	
	});
	
	
	/**
	 * Background Type
	 */
	$('select#style_bg_type').each(function(){
		var bg_option = $(this).children('option:selected').val();
		if (bg_option == '1') {
			$('#section-style_bg_pattern').show();
			$('#section-style_bg_image').hide();
		} else if (bg_option == '2') {
			$('#section-style_bg_pattern').hide();
			$('#section-style_bg_image').show();
		} else {
			$('#section-style_bg_pattern').hide();
			$('#section-style_bg_image').hide();
		}
	});
	
	$('select#style_bg_type').change(function(){
		var bg_option = $(this).children('option:selected').val();
		if (bg_option == '1') {
			$('#section-style_bg_pattern').fadeIn('slow');
			$('#section-style_bg_image').hide();
		} else if (bg_option == '2') {
			$('#section-style_bg_pattern').hide();
			$('#section-style_bg_image').fadeIn('slow');
		} else {
			$('#section-style_bg_pattern').hide();
			$('#section-style_bg_image').hide();
		}
	});
	/**
	 * End Background
	 */


	/**
	 * Font Type
	 */
	 $('select.of-font_type').each(function(){
		var heading_option = $(this).children('option:selected').val();
		if (heading_option == '0') {
			$(this).closest('.controls').children('.of-font_type_webfont').hide();
			$(this).closest('.controls').children('.of-font_type_google').hide();
		} else if (heading_option == '1') {
			$(this).closest('.controls').children('.of-font_type_webfont').show();
			$(this).closest('.controls').children('.of-font_type_google').hide();
		} else if (heading_option == '2') {
			$(this).closest('.controls').children('.of-font_type_webfont').hide();
			$(this).closest('.controls').children('.of-font_type_google').show();
		}
	});
	
	$('select.of-font_type').change(function(){
		var heading_option = $(this).children('option:selected').val();
		if (heading_option == '0') {
			$(this).closest('.controls').children('.of-font_type_webfont').hide();
			$(this).closest('.controls').children('.of-font_type_google').hide();
		} else if (heading_option == '1') {
			$(this).closest('.controls').children('.of-font_type_webfont').fadeIn('slow');
			$(this).closest('.controls').children('.of-font_type_google').hide();
		} else if (heading_option == '2') {
			$(this).closest('.controls').children('.of-font_type_webfont').hide();
			$(this).closest('.controls').children('.of-font_type_google').fadeIn('slow');
		}
	});

});