jQuery(document).ready(function ($) {	
	
	/**
	 * Metabox of Header Element
	 */
	$('select#_general_slider').each(function(){
		var general_slider = $(this).children('option:selected').val();
		if (general_slider == 'revslider') {
			$('#tr_general_revslider').show();
			$('#tr_general_layerslider').hide();
		} else if (general_slider == 'layerslider') {
			$('#tr_general_revslider').hide();
			$('#tr_general_layerslider').show();
		} else {
			$('#tr_general_revslider').hide();
			$('#tr_general_layerslider').hide();
		}
	});
	
	$('select#_general_slider').change(function(){
		var general_slider = $(this).children('option:selected').val();
		if (general_slider == 'revslider') {
			$('#tr_general_revslider').fadeIn('slow');
			$('#tr_general_layerslider').hide();
		} else if (general_slider == 'layerslider') {
			$('#tr_general_revslider').hide();
			$('#tr_general_layerslider').fadeIn('slow');
		} else {
			$('#tr_general_revslider').hide();
			$('#tr_general_layerslider').hide();
		}
	});
	/**
	 * End Header Element
	 */
	
	/**
	 * Metabox of Post Format
	 */
	$('input[name="post_format"]').each(function(){
		var post_format = $('input[name="post_format"]:checked').val();
		if (post_format == 'quote') {
			$('#blog_format_metabox').show();
			$('#tr_blog_quote').show();
			$('#tr_blog_quote_author').show();
			$('#tr_blog_video').hide();
			$('#tr_blog_video_embed').hide();
			$('#tr_blog_audio').hide();
		} else if (post_format == 'video') {
			$('#blog_format_metabox').show();
			$('#tr_blog_quote').hide();
			$('#tr_blog_quote_author').hide();
			$('#tr_blog_video').show();
			$('#tr_blog_video_embed').show();
			$('#tr_blog_audio').hide();
		} else if (post_format == 'audio') {
			$('#blog_format_metabox').show();
			$('#tr_blog_quote').hide();
			$('#tr_blog_quote_author').hide();
			$('#tr_blog_video').hide();
			$('#tr_blog_video_embed').hide();
			$('#tr_blog_audio').show();
		} else {
			$('#blog_format_metabox').hide();
			$('#tr_blog_quote').hide();
			$('#tr_blog_quote_author').hide();
			$('#tr_blog_video').hide();
			$('#tr_blog_video_embed').hide();
			$('#tr_blog_audio').hide();
		}
	});
	
	$('input[name="post_format"]').change(function(){
		var post_format = $('input[name="post_format"]:checked').val();
		if (post_format == 'quote') {
			$('#blog_format_metabox').show();
			$('#tr_blog_quote').fadeIn('slow');
			$('#tr_blog_quote_author').fadeIn('slow');
			$('#tr_blog_video').hide();
			$('#tr_blog_video_embed').hide();
			$('#tr_blog_audio').hide();
		} else if (post_format == 'video') {
			$('#blog_format_metabox').show();
			$('#tr_blog_quote').hide();
			$('#tr_blog_quote_author').hide();
			$('#tr_blog_video').fadeIn('slow');
			$('#tr_blog_video_embed').fadeIn('slow');
			$('#tr_blog_audio').hide();
		} else if (post_format == 'audio') {
			$('#blog_format_metabox').show();
			$('#tr_blog_quote').hide();
			$('#tr_blog_quote_author').hide();
			$('#tr_blog_video').hide();
			$('#tr_blog_video_embed').hide();
			$('#tr_blog_audio').fadeIn('slow');
		} else {
			$('#blog_format_metabox').hide();
			$('#tr_blog_quote').hide();
			$('#tr_blog_quote_author').hide();
			$('#tr_blog_video').hide();
			$('#tr_blog_video_embed').hide();
			$('#tr_blog_audio').hide();
		}
	});
	/**
	 * End Post Format
	 */
	
	/**
	 * Metabox of Page
	 */
	$('select#_page_template').each(function(){
		var page_option = $(this).children('option:selected').val();
		if (page_option == 'default') {
			$('#tr_page_default').show();
			$('#tr_page_blog').hide();
			$('#tr_page_portfolio').hide();
			//$('#tr_page_sidebar').show();
			var default_option = $('select#_page_default').children('option:selected').val();
			if (default_option != 'fw') {
				$('#tr_page_sidebar').show();
			} else {
				$('#tr_page_sidebar').hide();
			}
			$('#page_blog_metabox').hide();
			$('#page_portfolio_metabox').hide();
		} else if (page_option == 'blog') {
			$('#tr_page_default').hide();
			$('#tr_page_blog').show();
			$('#tr_page_portfolio').hide();
			$('#tr_page_sidebar').show();
			$('#page_blog_metabox').show();
			$('#page_portfolio_metabox').hide();
		} else if (page_option == 'portfolio') {
			$('#tr_page_default').hide();
			$('#tr_page_blog').hide();
			$('#tr_page_portfolio').show();
			$('#tr_page_sidebar').hide();
			$('#page_blog_metabox').hide();
			$('#page_portfolio_metabox').show();
		} else {
			$('#tr_page_default').hide();
			$('#tr_page_blog').hide();
			$('#tr_page_portfolio').hide();
			$('#tr_page_sidebar').hide();
			$('#page_blog_metabox').hide();
			$('#page_portfolio_metabox').hide();
		}
	});	
			
	$('select#_page_template').change(function(){
		var page_option = $(this).children('option:selected').val();
		if (page_option == 'default') {
			$('#tr_page_default').fadeIn('slow');
			$('#tr_page_blog').hide();
			$('#tr_page_portfolio').hide();
			$('#tr_page_sidebar').fadeIn('slow');
			var default_option = $('select#_page_default').children('option:selected').val();
			if (default_option != 'fw') {
				$('#tr_page_sidebar').fadeIn('slow');
			} else {
				$('#tr_page_sidebar').hide();
			}
			$('#page_blog_metabox').hide();
			$('#page_portfolio_metabox').hide();
		} else if (page_option == 'blog') {
			$('#tr_page_default').hide();
			$('#tr_page_blog').fadeIn('slow');
			$('#tr_page_portfolio').hide();
			$('#tr_page_sidebar').fadeIn('slow');
			$('#page_blog_metabox').fadeIn('slow');
			$('#page_portfolio_metabox').hide();
		} else if (page_option == 'portfolio') {
			$('#tr_page_default').hide();
			$('#tr_page_blog').hide();
			$('#tr_page_portfolio').fadeIn('slow');
			$('#tr_page_sidebar').hide();
			$('#page_blog_metabox').hide();
			$('#page_portfolio_metabox').fadeIn('slow');
		} else {
			$('#tr_page_default').hide();
			$('#tr_page_blog').hide();
			$('#tr_page_portfolio').hide();
			$('#tr_page_sidebar').hide();
			$('#page_blog_metabox').hide();
			$('#page_portfolio_metabox').hide();
		}
	});
	
	$('select#_page_default').change(function(){
		var default_option = $(this).children('option:selected').val();
		if (default_option != 'fw') {
			$('#tr_page_sidebar').fadeIn('slow');
		} else {
			$('#tr_page_sidebar').hide();
		}
	});
	/**
	 * End Page
	 */
	
	/**
	 * Metabox of Portfolio
	 */
	$('select#_portfolio_type').each(function(){
		var portfolio_option = $(this).children('option:selected').val();
		if (portfolio_option == 'image') {
			$('#tr_portfolio_image').show();
			$('#tr_portfolio_video').hide();
			$('#tr_portfolio_video_thumb').hide();
			$('#tr_portfolio_slider').hide();
		} else if (portfolio_option == 'video') {
			$('#tr_portfolio_image').hide();
			$('#tr_portfolio_video').show();
			$('#tr_portfolio_video_thumb').show();
			$('#tr_portfolio_slider').hide();
		} else if (portfolio_option == 'slider') {
			$('#tr_portfolio_image').hide();
			$('#tr_portfolio_video').hide();
			$('#tr_portfolio_video_thumb').hide();
			$('#tr_portfolio_slider').show();
		}
	});
	
	$('select#_portfolio_type').change(function(){
		var portfolio_option = $(this).children('option:selected').val();
		if (portfolio_option == 'image') {
			$('#tr_portfolio_image').fadeIn('slow');
			$('#tr_portfolio_video').hide();
			$('#tr_portfolio_video_thumb').hide();
			$('#tr_portfolio_slider').hide();
		} else if (portfolio_option == 'video') {
			$('#tr_portfolio_image').hide();
			$('#tr_portfolio_video').fadeIn('slow');
			$('#tr_portfolio_video_thumb').fadeIn('slow');
			$('#tr_portfolio_slider').hide();
		} else if (portfolio_option == 'slider') {
			$('#tr_portfolio_image').hide();
			$('#tr_portfolio_video').hide();
			$('#tr_portfolio_video_thumb').hide();
			$('#tr_portfolio_slider').fadeIn('slow');
		}
	});
	/**
	 * End Portfolio
	 */

});