<?php

$blog_terms = get_terms("category");
$sc_blog_cat = array();
$sc_blog_cat[''] = 'All';
if ( count($blog_terms) > 0 ) {
	foreach ( $blog_terms as $term ) {
		$sc_blog_cat[$term->term_id] = $term->name;
	}
}

$portfolio_terms = get_terms("portfolio-category");
$sc_portfolio_cat = array();
$sc_portfolio_cat[''] = 'All';
if ( count($portfolio_terms) > 0 ) {
	foreach ( $portfolio_terms as $term ) {
		$sc_portfolio_cat[$term->term_id] = $term->name;
	}
}

$team_terms = get_terms("team-category");
$sc_team_cat = array();
$sc_team_cat[''] = 'All';
if ( count($team_terms) > 0 ) {
	foreach ( $team_terms as $term ) {
		$sc_team_cat[$term->term_id] = $term->name;
	}
}

$faq_terms = get_terms("faq-category");
$sc_faq_cat = array();
$sc_faq_cat[''] = 'All';
if ( count($faq_terms) > 0 ) {
	foreach ( $faq_terms as $term ) {
		$sc_faq_cat[$term->term_id] = $term->name;
	}
}

$pricing_terms = get_terms("pricing-category");
$sc_pricing_cat = array();
$sc_pricing_cat[''] = 'All';
if ( count($pricing_terms) > 0 ) {
	foreach ( $pricing_terms as $term ) {
		$sc_pricing_cat[$term->term_id] = $term->name;
	}
}

$json = file_get_contents(ADMIN_PATH.'webicons.json');
$fontAwesome = json_decode($json, true);
sort($fontAwesome);
$sc_fontAwesome = array();
foreach ( $fontAwesome as $icon ) {
	$sc_fontAwesome[$icon] = $icon;
}

$sc_fontAwesome_with_first = $sc_fontAwesome;
$sc_fontAwesome_with_first = array_merge(array('' => 'No Icon'), $sc_fontAwesome_with_first);

$sc_social = array('facebook' => 'Facebook', 'google' => 'Google+', 'twitter' => 'Twitter', 'youtube' => 'Youtube', 'flickr' => 'Flickr', 
				   'instagram' => 'Instagram', 'dribbble' => 'Dribbble', 'linkedin' => 'LinkedIn', 'pinterest' => 'Pinterest');


/*-----------------------------------------------------------------------------------*/
/*	Hide Divider Config (Page-Builder)
/*-----------------------------------------------------------------------------------*/
$zilla_shortcodes['divider'] = array(
	'no_preview' => true,
	'params' => array(),
	'shortcode' => '[divider]',
	'popup_title' => __('Insert Divider', 'slicetheme')
);

/*-----------------------------------------------------------------------------------*/
/*	Hide Clear Config (Page-Builder)
/*-----------------------------------------------------------------------------------*/
$zilla_shortcodes['clear'] = array(
	'no_preview' => true,
	'params' => array(),
	'shortcode' => '[clear]',
	'popup_title' => __('Insert Clear', 'slicetheme')
);

/*-----------------------------------------------------------------------------------*/
/*	Hide Space Config (Page-Builder)
/*-----------------------------------------------------------------------------------*/
$zilla_shortcodes['space'] = array(
	'no_preview' => true,
	'params' => array(
		'height' => array(
			'std' => '30',
			'type' => 'text',
			'label' => __('Height', 'slicetheme')
		),
	),
	'shortcode' => '[space height="{{height}}"]',
	'popup_title' => __('Insert Space', 'slicetheme')
);

/*-----------------------------------------------------------------------------------*/
/*	Hide Section Config (Page-Builder)
/*-----------------------------------------------------------------------------------*/
$zilla_shortcodes['section'] = array(
	'no_preview' => true,
	'params' => array(		
		'style' => array(
			'type' => 'textarea',
			'label' => __('Custom CSS', 'slicetheme')
		),
	),
	'shortcode' => '[section style="{{style}}"]',
	'popup_title' => __('Insert Section', 'slicetheme')
);

/*-----------------------------------------------------------------------------------*/
/*	Hide Text Box Config (Page-Builder)
/*-----------------------------------------------------------------------------------*/
$zilla_shortcodes['textbox'] = array(
	'no_preview' => true,
	'params' => array(
		'animation' => array(
			'type' => 'select',
			'label' => __('Animation', 'slicetheme'),
			'options' => array(
				'none' => 'None',
				'fade-in' => 'Fade In',
				'small-to-large' => 'Small to Large',
				'move-to-left' => 'Move to Left',
				'move-to-right' => 'Move to Right',
				'move-to-top' => 'Move to Top',
				'move-to-bottom' => 'Move to Bottom'
			)
		),
		'align' => array(
			'type' => 'select',
			'label' => __('Align', 'slicetheme'),
			'options' => array(
				'left' => 'Left',
				'center' => 'Center',
				'right' => 'Right'
			)
		),
		'content' => array(
			'type' => 'textarea',
			'label' => __('Content', 'slicetheme')
		),
	),
	'shortcode' => '[textbox animation="{{animation}}" align="{{align}}"] {{content}} [/textbox]',
	'popup_title' => __('Insert Text Box', 'slicetheme')
);

/*-----------------------------------------------------------------------------------*/
/*	Blockquote Config
/*-----------------------------------------------------------------------------------*/
$zilla_shortcodes['blockquote'] = array(
	'no_preview' => true,
	'params' => array(
		'align' => array(
			'type' => 'select',
			'label' => __('Align', 'slicetheme'),
			'options' => array(
				'none' => 'None',
				'left' => 'Left',
				'right' => 'Right'
			)
		),
		'content' => array(
			'type' => 'textarea',
			'label' => __('Content', 'slicetheme')
		)
	),
	'shortcode' => '[blockquote align="{{align}}"] {{content}} [/blockquote]',
	'popup_title' => __('Insert Heading', 'slicetheme')
);

/*-----------------------------------------------------------------------------------*/
/*	Heading Config
/*-----------------------------------------------------------------------------------*/
$zilla_shortcodes['heading'] = array(
	'no_preview' => true,
	'params' => array(
		'title' => array(
			'std' => 'Text',
			'type' => 'text',
			'label' => __('Title', 'slicetheme')
		),
		'align' => array(
			'type' => 'select',
			'label' => __('Align', 'slicetheme'),
			'options' => array(
				'left' => 'Left',
				'center' => 'Center',
				'right' => 'Right'
			)
		)
	),
	'shortcode' => '[heading align="{{align}}"] {{title}} [/heading]',
	'popup_title' => __('Insert Heading', 'slicetheme')
);

/*-----------------------------------------------------------------------------------*/
/*	Button Config
/*-----------------------------------------------------------------------------------*/
$zilla_shortcodes['button'] = array(
	'no_preview' => true,
	'params' => array(
		'icon' => array(
			'type' => 'select',
			'label' => __('Icon Font', 'slicetheme'),
			'options' => $sc_fontAwesome_with_first
		),
		'size' => array(
			'type' => 'select',
			'label' => __('Button Size', 'slicetheme'),
			'desc' => __('Select the button\'s size', 'slicetheme'),
			'options' => array(
				'small' => 'Small',
				'medium' => 'Medium',
				'large' => 'Large'
			)
		),
		'color' => array(
			'type' => 'select',
			'label' => __('Button Color', 'slicetheme'),
			'desc' => __('Select the button\'s colour', 'slicetheme'),
			'options' => array(
				'default' => 'Default Theme',
				'light' => 'Light',
				'dark' => 'Dark',
				'brown' => 'Brown',
				'purple' => 'Purple',
				'blue' => 'Blue',
				'green' => 'Green',
				'orange' => 'Orange',
				'red' => 'Red',
				'pink' => 'Pink'
			)
		),
		'url' => array(
			'std' => '#',
			'type' => 'text',
			'label' => __('Button URL', 'slicetheme'),
			'desc' => __('Add the button\'s url eg http://example.com', 'slicetheme')
		),
		'content' => array(
			'std' => 'YOUR TEXT HERE',
			'type' => 'text',
			'label' => __('Button Text', 'slicetheme'),
			'desc' => __('Add the button\'s text', 'slicetheme')
		)
	),
	'shortcode' => '[button icon="{{icon}}" size="{{size}}" color="{{color}}" url="{{url}}"] {{content}} [/button]',
	'popup_title' => __('Insert Button', 'slicetheme')
);

/*-----------------------------------------------------------------------------------*/
/*	Lightbox Config
/*-----------------------------------------------------------------------------------*/
$zilla_shortcodes['lightbox'] = array(
	'no_preview' => true,
	'params' => array(
		'title' => array(
			'type' => 'text',
			'label' => __('Lightbox Title', 'slicetheme')
		),
		'url' => array(
			'std' => '#',
			'type' => 'text',
			'label' => __('Original Image URL', 'slicetheme'),
			'desc' => __('Place your image url / youtube / vimeo', 'slicetheme')
		),
		'thumbnail' => array(
			'std' => '#',
			'type' => 'text',
			'label' => __('Thumbnail Image URL', 'slicetheme'),
			'desc' => __('Place your image url (e.g http://example.com/thumbnail.png)', 'slicetheme')
		)
	),
	'shortcode' => '[lightbox title="{{title}}" url="{{url}}" thumbnail="{{thumbnail}}"]',
	'popup_title' => __('Insert Lightbox', 'slicetheme')
);

/*-----------------------------------------------------------------------------------*/
/*	Video Config
/*-----------------------------------------------------------------------------------*/
$zilla_shortcodes['video'] = array(
	'no_preview' => true,
	'params' => array(
		'type' => array(
			'type' => 'select',
			'label' => __('Video Type', 'slicetheme'),
			'options' => array(
				'youtube' => 'Youtube',
				'vimeo' => 'Vimeo'
			)
		),
		'id' => array(
			'type' => 'text',
			'label' => __('Video ID', 'slicetheme'),
			'desc' => __('Paste the ID of the video is hosted on, such as Youtube and Vimeo. you want to show <br>E.g. http://www.youtube.com/watch?v=<strong style="color:red;">tbPhf_KXNZI</strong><br>http://vimeo.com/<strong style="color:red;">6428069</strong>', 'slicetheme')
		)	
	),
	'shortcode' => '[{{type}} id="{{id}}"]',
	'popup_title' => __('Insert Video', 'slicetheme')
);

/*-----------------------------------------------------------------------------------*/
/*	Flexslider Config
/*-----------------------------------------------------------------------------------*/
$zilla_shortcodes['flexslider'] = array(
    'params' => array(
		'animation' => array(
			'type' => 'select',
			'label' => __('Animation', 'slicetheme'),
			'desc' => __('Select your animation type, "fade" or "slide"', 'slicetheme'),
			'options' => array(
				'slide' => 'Slide',
				'fade' => 'Fade'
			)
		)
	),
    'no_preview' => true,
    'shortcode' => '[flexslider animation="{{animation}}"] {{child_shortcode}} [/flexslider]',
    'popup_title' => __('Insert Flexslider', 'slicetheme'),
    
    'child_shortcode' => array(
        'params' => array(
            'caption' => array(
                'type' => 'text',
                'label' => __('Image Caption', 'slicetheme'),
				'desc' => __('Optional to show', 'slicetheme')
            ),
            'src' => array(
                'std' => '#',
                'type' => 'text',
                'label' => __('Image URL', 'slicetheme'),
				'desc' => __('Place your image url (e.g http://example.com/image.png)', 'slicetheme')
            )
        ),
        'shortcode' => '[item caption="{{caption}}" src="{{src}}"]',
        'clone_button' => __('Add Slide', 'slicetheme')
    )
);

/*-----------------------------------------------------------------------------------*/
/*	Tabs Config
/*-----------------------------------------------------------------------------------*/
$zilla_shortcodes['tabs'] = array(
    'params' => array(),
    'no_preview' => true,
    'shortcode' => '[tabs] {{child_shortcode}} [/tabs]',
    'popup_title' => __('Insert Tabs', 'slicetheme'),
    
    'child_shortcode' => array(
        'params' => array(
			'icon' => array(
				'type' => 'select',
				'label' => __('Icon Font', 'slicetheme'),
				'options' => $sc_fontAwesome_with_first
			),
            'title' => array(
                'std' => 'Title',
                'type' => 'text',
                'label' => __('Title', 'slicetheme')
            ),
            'content' => array(
                'std' => 'Content',
                'type' => 'textarea',
                'label' => __('Content', 'slicetheme')
            )
        ),
        'shortcode' => '[item icon="{{icon}}" title="{{title}}"] {{content}} [/item]',
        'clone_button' => __('Add Tab', 'slicetheme')
    )
);

/*-----------------------------------------------------------------------------------*/
/*	Toggle Config
/*-----------------------------------------------------------------------------------*/
$zilla_shortcodes['toggle'] = array(
	'no_preview' => true,
	'params' => array(
		'title' => array(
			'std' => 'Title',
			'type' => 'text',
			'label' => __('Title', 'slicetheme')
		),
		'content' => array(
			'std' => 'Content',
			'type' => 'textarea',
			'label' => __('Content', 'slicetheme')
		),
		'keep_open' => array(
			'type' => 'select',
			'label' => __('Keep Open', 'slicetheme'),
			'desc' => __('Toggle open on page load', 'slicetheme'),
			'options' => array(
				'false' => 'False',
				'true' => 'True'
			)
		)		
	),
	'shortcode' => '[toggle title="{{title}}" keep_open="{{keep_open}}"] {{content}} [/toggle]',
	'popup_title' => __('Insert Toggle', 'slicetheme')
);

/*-----------------------------------------------------------------------------------*/
/*	Accordion Config
/*-----------------------------------------------------------------------------------*/
$zilla_shortcodes['accordion'] = array(
    'params' => array(
		'first_open' => array(
			'type' => 'select',
			'label' => __('First Open', 'slicetheme'),
			'desc' => __('First accordion open on page load', 'slicetheme'),
			'options' => array(
				'false' => 'False',
				'true' => 'True'
			)
		)
	),
    'no_preview' => true,
    'shortcode' => '[accordion first_open="{{first_open}}"] {{child_shortcode}} [/accordion]',
    'popup_title' => __('Insert Accordion', 'slicetheme'),
    
    'child_shortcode' => array(
        'params' => array(
            'title' => array(
                'std' => 'Title',
                'type' => 'text',
                'label' => __('Title', 'slicetheme')
            ),
            'content' => array(
                'std' => 'Content',
                'type' => 'textarea',
                'label' => __('Content', 'slicetheme')
            )
        ),
        'shortcode' => '[item title="{{title}}"] {{content}} [/item]',
        'clone_button' => __('Add Accordion', 'slicetheme')
    )
);

/*-----------------------------------------------------------------------------------*/
/*	Icon Config
/*-----------------------------------------------------------------------------------*/
$zilla_shortcodes['icon'] = array(
	'no_preview' => true,
	'params' => array(
		'name' => array(
			'type' => 'select',
			'label' => __('Icon Font', 'slicetheme'),
			'options' => $sc_fontAwesome
		),
		'type' => array(
			'type' => 'select',
			'label' => __('Icon Type', 'slicetheme'),
			'options' => array(
				'default' => 'Default',
				'box' => 'Box',
				'rounded' => 'Rounded',
				'circle' => 'Circle'
			)
		)
	),
	'shortcode' => '[icon name="{{name}}" type="{{type}}"]',
	'popup_title' => __('Insert Icons', 'slicetheme')
);

/*-----------------------------------------------------------------------------------*/
/*	Icon List Config
/*-----------------------------------------------------------------------------------*/
$zilla_shortcodes['iconlist'] = array(
    'params' => array(
		'icon' => array(
			'std' => 'icon-ok',
			'type' => 'select',
			'label' => __('Icon Font', 'slicetheme'),
			'options' => $sc_fontAwesome
		)
	),
    'no_preview' => true,
    'shortcode' => '[icon_list icon="{{icon}}"] {{child_shortcode}} [/icon_list]',
    'popup_title' => __('Insert Icon List', 'slicetheme'),
    
    'child_shortcode' => array(
        'params' => array(
            'content' => array(
                'std' => 'Text',
                'type' => 'text',
                'label' => __('Text', 'slicetheme')
            )
        ),
        'shortcode' => '[li] {{content}} [/li]',
        'clone_button' => __('Add List', 'slicetheme')
    )
);

/*-----------------------------------------------------------------------------------*/
/*	History List Config
/*-----------------------------------------------------------------------------------*/
$zilla_shortcodes['historylist'] = array(
	'params' => array(
		'align' => array(
			'std' => 'left',			
			'type' => 'select',
			'label' => __('Align', 'slicetheme'),
			'options' => array(
				'left' => 'Left',
				'right' => 'Right'
			)
		)
	),
    'no_preview' => true,
    'shortcode' => '[history_list align="{{align}}"] {{child_shortcode}} [/history_list]',
    'popup_title' => __('Insert History List', 'slicetheme'),
    
    'child_shortcode' => array(
        'params' => array(
			'icon' => array(
				'type' => 'select',
				'label' => __('Icon Font', 'slicetheme'),
				'options' => $sc_fontAwesome_with_first
			),			
			'src' => array(
				'type' => 'text',
				'label' => __('Icon Image URL', 'slicetheme'),
				'desc' => __('override the icon font (e.g http://example.com/image.png)', 'slicetheme')
			),		
			'number' => array(
				'type' => 'text',
				'label' => __('Text Number', 'slicetheme'),
				'desc' => __('override the icon font + image (e.g 1/2/3)', 'slicetheme')
			),
            'title' => array(
                'std' => 'Title',
                'type' => 'text',
                'label' => __('Title', 'slicetheme')
            ),
            'content' => array(
                'std' => 'Content',
                'type' => 'textarea',
                'label' => __('Content', 'slicetheme')
            )
        ),
        'shortcode' => '[item icon="{{icon}}" src="{{src}}" number="{{number}}" title="{{title}}"] {{content}} [/item]',
        'clone_button' => __('Add List', 'slicetheme')
    )
);

/*-----------------------------------------------------------------------------------*/
/*	Message Box Config
/*-----------------------------------------------------------------------------------*/
$zilla_shortcodes['messagebox'] = array(
	'no_preview' => true,
	'params' => array(
		'style' => array(
			'type' => 'select',
			'label' => __('Message Style', 'slicetheme'),
			'options' => array(
				'success' => 'Success',
				'warning' => 'Warning',
				'error' => 'Error',
				'info' => 'Info'
			)
		),
		'content' => array(
			'std' => 'Your Message!',
			'type' => 'textarea',
			'label' => __('Message Text', 'slicetheme')
		)		
	),
	'shortcode' => '[message_box style="{{style}}"] {{content}} [/message_box]',
	'popup_title' => __('Insert Message', 'slicetheme')
);

/*-----------------------------------------------------------------------------------*/
/*	Call to Action Box Config
/*-----------------------------------------------------------------------------------*/
$zilla_shortcodes['ctabox'] = array(
	'no_preview' => true,
	'params' => array(
		'title' => array(
			'std' => 'Title',
			'type' => 'text',
			'label' => __('Title', 'slicetheme')
		),
		'content' => array(
			'std' => 'Content',
			'type' => 'textarea',
			'label' => __('Short Content', 'slicetheme')
		),
		'btn_label' => array(
			'std' => 'Buy Now',
			'type' => 'text',
			'label' => __('Button Label', 'slicetheme')
		),
		'btn_url' => array(
			'std' => '#',
			'type' => 'text',
			'label' => __('Button URL', 'slicetheme')
		)
		
	),
	'shortcode' => '[cta_box title="{{title}}" btn_label="{{btn_label}}" btn_url="{{btn_url}}"] {{content}} [/cta_box]',
	'popup_title' => __('Insert CTA Box', 'slicetheme')
);

/*-----------------------------------------------------------------------------------*/
/*	Icon Box Config
/*-----------------------------------------------------------------------------------*/
$zilla_shortcodes['iconbox'] = array(
	'no_preview' => true,
	'params' => array(
		'position' => array(
			'type' => 'select',
			'label' => __('Icon Position', 'slicetheme'),
			'options' => array(
				'left' => 'Left',
				'top' => 'Top'
			)
		),
		'icon' => array(
			'type' => 'select',
			'label' => __('Icon Font', 'slicetheme'),
			'options' => $sc_fontAwesome
		),
		'src' => array(
			'type' => 'text',
			'label' => __('Icon Image URL', 'slicetheme'),
			'desc' => __('override the icon font (e.g http://example.com/image.png)', 'slicetheme')
		),
		'title' => array(
			'std' => 'Title',
			'type' => 'text',
			'label' => __('Title', 'slicetheme')
		),
		'content' => array(
			'std' => 'Content',
			'type' => 'textarea',
			'label' => __('Content', 'slicetheme')
		)		
	),
	'shortcode' => '[icon_box position="{{position}}" icon="{{icon}}" src="{{src}}" title="{{title}}"] {{content}} [/icon_box]',
	'popup_title' => __('Insert Icon Box', 'slicetheme')
);

/*-----------------------------------------------------------------------------------*/
/*	Social Icon Config
/*-----------------------------------------------------------------------------------*/
$zilla_shortcodes['social'] = array(
    'params' => array(),
    'no_preview' => true,
    'shortcode' => '[social] {{child_shortcode}} [/social]',
    'popup_title' => __('Insert Social Icon', 'slicetheme'),
    
    'child_shortcode' => array(
        'params' => array(
			'type' => array(
				'type' => 'select',
				'label' => __('Type', 'slicetheme'),
				'options' => $sc_social
			),
            'url' => array(
                'std' => '#',
                'type' => 'text',
                'label' => __('URL', 'slicetheme')
            )
        ),
        'shortcode' => '[item type="{{type}}" url="{{url}}"]',
        'clone_button' => __('Add Icon', 'slicetheme')
    )
);

/*-----------------------------------------------------------------------------------*/
/*	Progress Bar Config
/*-----------------------------------------------------------------------------------*/
$zilla_shortcodes['progress'] = array(
    'params' => array(),
    'no_preview' => true,
    'shortcode' => '[progress_bar] {{child_shortcode}} [/progress_bar]',
    'popup_title' => __('Insert Progress Bar', 'slicetheme'),
    
    'child_shortcode' => array(
        'params' => array(
            'name' => array(
                'std' => 'Name',
                'type' => 'text',
                'label' => __('Progress Name', 'slicetheme')
            ),
            'width' => array(
                'std' => '100',
                'type' => 'text',
                'label' => __('Progress Width', 'slicetheme')
            ),
			'color' => array(
				'type' => 'select',
				'label' => __('Progress Color', 'slicetheme'),
				'options' => array(
					'default' => 'Default Theme',
					'light' => 'Light',
					'dark' => 'Dark',
					'brown' => 'Brown',
					'purple' => 'Purple',
					'blue' => 'Blue',
					'green' => 'Green',
					'orange' => 'Orange',
					'red' => 'Red',
					'pink' => 'Pink'
				)
			)
        ),
        'shortcode' => '[item name="{{name}}" width="{{width}}" color="{{color}}"]',
        'clone_button' => __('Add Progress', 'slicetheme')
    )
);

/*-----------------------------------------------------------------------------------*/
/*	Blog Config
/*-----------------------------------------------------------------------------------*/
$zilla_shortcodes['blog'] = array(
	'no_preview' => true,
	'params' => array(		
		'category' => array(
			'type' => 'select',
			'label' => __('Category', 'slicetheme'),
			'options' => $sc_blog_cat,
			'desc' => __('Select a Category you want to display', 'slicetheme')
			
		),
		'column' => array(
			'std' => '4',
			'type' => 'select',
			'label' => __('Columns', 'slicetheme'),
			'options' => array(1 => 1, 2 => 2, 3 => 3, 4 => 4),
		),
		'item_number' => array(
			'std' => '4',
			'type' => 'text',
			'label' => __('Item Number', 'slicetheme'),
			'desc' => __('Number of post you want to show', 'slicetheme')
		)
	),
	'shortcode' => '[blog category="{{category}}" column="{{column}}" item_number="{{item_number}}"]',
	'popup_title' => __('Insert Blog', 'slicetheme')
);

/*-----------------------------------------------------------------------------------*/
/*	Portfolio Config
/*-----------------------------------------------------------------------------------*/
$zilla_shortcodes['portfolio'] = array(
	'no_preview' => true,
	'params' => array(		
		'category' => array(
			'type' => 'select',
			'label' => __('Category', 'slicetheme'),
			'options' => $sc_portfolio_cat,
			'desc' => __('Select a Category you want to display', 'slicetheme')
			
		),
		'column' => array(
			'std' => '4',
			'type' => 'select',
			'label' => __('Columns', 'slicetheme'),
			'options' => array(1 => 1, 2 => 2, 3 => 3, 4 => 4),
		),
		'item_number' => array(
			'std' => '4',
			'type' => 'text',
			'label' => __('Item Number', 'slicetheme'),
			'desc' => __('Number of post you want to show', 'slicetheme')
		)
	),
	'shortcode' => '[portfolio category="{{category}}" column="{{column}}" item_number="{{item_number}}"]',
	'popup_title' => __('Insert Portfolio', 'slicetheme')
);

/*-----------------------------------------------------------------------------------*/
/*	Team Config
/*-----------------------------------------------------------------------------------*/
$zilla_shortcodes['team'] = array(
	'no_preview' => true,
	'params' => array(			
		'category' => array(
			'type' => 'select',
			'label' => __('Category', 'slicetheme'),
			'options' => $sc_team_cat,
			'desc' => __('Select a Category you want to display', 'slicetheme')
			
		),
		'column' => array(
			'std' => '4',
			'type' => 'select',
			'label' => __('Columns', 'slicetheme'),
			'options' => array(1 => 1, 2 => 2, 3 => 3, 4 => 4),
		),
		'item_number' => array(
			'std' => '4',
			'type' => 'text',
			'label' => __('Item Number', 'slicetheme'),
			'desc' => __('Number of post you want to show', 'slicetheme')
		)
	),
	'shortcode' => '[team category="{{category}}" column="{{column}}" item_number="{{item_number}}"]',
	'popup_title' => __('Insert Team', 'slicetheme')
);

/*-----------------------------------------------------------------------------------*/
/*	Jobs Config
/*-----------------------------------------------------------------------------------*/
$zilla_shortcodes['job'] = array(
	'no_preview' => true,
	'params' => array(	
		'item_number' => array(
			'std' => '100',
			'type' => 'text',
			'label' => __('Item Number', 'slicetheme'),
			'desc' => __('Number of post you want to show', 'slicetheme')
		)
	),
	'shortcode' => '[job item_number="{{item_number}}"]',
	'popup_title' => __('Insert Jobs', 'slicetheme')
);

/*-----------------------------------------------------------------------------------*/
/*	Testimonial Config
/*-----------------------------------------------------------------------------------*/
$zilla_shortcodes['testimonial'] = array(
	'no_preview' => true,
	'params' => array(	
		'column' => array(
			'std' => '2',
			'type' => 'select',
			'label' => __('Columns', 'slicetheme'),
			'options' => array(1 => 1, 2 => 2),
		),
		'item_number' => array(
			'std' => '100',
			'type' => 'text',
			'label' => __('Item Number', 'slicetheme'),
			'desc' => __('Number of post you want to show', 'slicetheme')
		)
	),
	'shortcode' => '[testimonial column="{{column}}" item_number="{{item_number}}"]',
	'popup_title' => __('Insert Testimonial', 'slicetheme')
);

/*-----------------------------------------------------------------------------------*/
/*	Client Config
/*-----------------------------------------------------------------------------------*/
$zilla_shortcodes['client'] = array(
	'no_preview' => true,
	'params' => array(	
		'item_number' => array(
			'std' => '100',
			'type' => 'text',
			'label' => __('Item Number', 'slicetheme'),
			'desc' => __('Number of post you want to show', 'slicetheme')
		)
	),
	'shortcode' => '[client item_number="{{item_number}}"]',
	'popup_title' => __('Insert Client', 'slicetheme')
);

/*-----------------------------------------------------------------------------------*/
/*	Testimonial Slider Config
/*-----------------------------------------------------------------------------------*/
$zilla_shortcodes['testimonial_slider'] = array(
	'no_preview' => true,
	'params' => array(
		'animation' => array(
			'type' => 'select',
			'label' => __('Animation', 'slicetheme'),
			'desc' => __('Select your animation type, "fade" or "slide"', 'slicetheme'),
			'options' => array(
				'slide' => 'Slide',
				'fade' => 'Fade'
			)
		),
		'item_number' => array(
			'std' => '100',
			'type' => 'text',
			'label' => __('Item Number', 'slicetheme'),
			'desc' => __('Number of post you want to show', 'slicetheme')
		)
	),
	'shortcode' => '[testimonial_slider animation="{{animation}}" item_number="{{item_number}}"]',
	'popup_title' => __('Insert Testimonial Slider', 'slicetheme')
);

/*-----------------------------------------------------------------------------------*/
/*	FAQ Config
/*-----------------------------------------------------------------------------------*/
$zilla_shortcodes['faq'] = array(
	'no_preview' => true,
	'params' => array(		
		'category' => array(
			'type' => 'select',
			'label' => __('Category', 'slicetheme'),
			'options' => $sc_faq_cat,
			'desc' => __('Select a Category you want to display', 'slicetheme')
			
		),
		'item_number' => array(
			'std' => '100',
			'type' => 'text',
			'label' => __('Item Number', 'slicetheme'),
			'desc' => __('Number of post you want to show', 'slicetheme')
		)
	),
	'shortcode' => '[faq category="{{category}}" item_number="{{item_number}}"]',
	'popup_title' => __('Insert FAQ', 'slicetheme')
);

/*-----------------------------------------------------------------------------------*/
/*	Pricing Table Config
/*-----------------------------------------------------------------------------------*/
$zilla_shortcodes['pricing'] = array(
	'no_preview' => true,
	'params' => array(		
		'category' => array(
			'type' => 'select',
			'label' => __('Category', 'slicetheme'),
			'options' => $sc_pricing_cat,
			'desc' => __('Select a Category you want to display', 'slicetheme')
			
		),
		'item_number' => array(
			'std' => '4',
			'type' => 'text',
			'label' => __('Item Number', 'slicetheme'),
			'desc' => __('Number of post you want to show', 'slicetheme')
		)
	),
	'shortcode' => '[pricing_table category="{{category}}" item_number="{{item_number}}"]',
	'popup_title' => __('Insert Pricing Table', 'slicetheme')
);

/*-----------------------------------------------------------------------------------*/
/*	Google Maps
/*-----------------------------------------------------------------------------------*/
$zilla_shortcodes['gmap'] = array(
	'no_preview' => true,
	'params' => array(
		'height' => array(
			'std' => '400',
			'type' => 'text',
			'label' => __('Height', 'slicetheme'),
			'desc' => __('Height of the map', 'slicetheme')
		),
		'zoom' => array(
			'std' => '14',
			'type' => 'text',
			'label' => __('Zoom', 'slicetheme'),
			'desc' => __('The initial zoom level of the map', 'slicetheme')
		),
		'address' => array(
			'type' => 'text',
			'label' => __('Address', 'slicetheme'),
			'desc' => __('Address of the location to display on the map', 'slicetheme')
		),
		'latitude' => array(
			'type' => 'text',
			'label' => __('Latitude', 'slicetheme'),
			'desc' => __('The latitude of the location to display on the map (optional to address)', 'slicetheme')
		),		
		'longitude' => array(
			'type' => 'text',
			'label' => __('Longitude', 'slicetheme'),
			'desc' => __('The longitude of the location to display on the map (optional to address)', 'slicetheme')
		),
		'infowindow' => array(
			'type' => 'text',
			'std' => __('My Hometown','slicetheme'),
			'label' => __('Info Window', 'slicetheme'),
			'desc' => __('The HTML to display in the popup that is launched when the location marker is clicked', 'slicetheme')
		)
	),
	'shortcode' => '[gmap height="{{height}}" zoom="{{zoom}}" address="{{address}}" latitude="{{latitude}}" longitude="{{longitude}}" infowindow="{{infowindow}}"]',
	'popup_title' => __('Insert Google Map', 'slicetheme')
);

/*-----------------------------------------------------------------------------------*/
/*	Contact form
/*-----------------------------------------------------------------------------------*/
$zilla_shortcodes['contact'] = array(
	'no_preview' => true,
	'params' => array(
		'email' => array(
			'type' => 'text',
			'label' => __('Email send to', 'slicetheme'),
			'desc' => __('Defaults to the Contact Form E-mail setting under Theme Options if not set here', 'slicetheme')
		),
		'recaptcha' => array(
			'std' => 'true',
			'type' => 'select',
			'label' => __('reCaptcha', 'slicetheme'),
			'options' => array(
				'true' => 'Enable',
				'false' => 'Disable'
			)
		)	
	),
	'shortcode' => '[contact_form email="{{email}}" recaptcha="{{recaptcha}}"]',
	'popup_title' => __('Insert Contact Form', 'slicetheme')
);


/*-----------------------------------------------------------------------------------*/
/*	WooCommerce
/*-----------------------------------------------------------------------------------*/

if ( class_exists( 'Woocommerce') ) 
{
	$woo_terms = get_terms("product_cat");
	$sc_woo_cat = array();
	if ( count($woo_terms) > 0 ) {
		foreach ( $woo_terms as $term ) {
			$sc_woo_cat[$term->slug] = $term->name;
		}
	}
	
	$zilla_shortcodes['woo_cat'] = array(
		'no_preview' => true,
		'params' => array(	
			'item_number' => array(
				'std' => '4',
				'type' => 'text',
				'label' => __('Item Number', 'slicetheme'),
				'desc' => __('Number of post you want to show', 'slicetheme')
			)
		),
		'shortcode' => '[product_categories number="{{item_number}}"]',
		'popup_title' => __('Insert WooCommerce Categories', 'slicetheme')
	);
	
	$zilla_shortcodes['woo_all'] = array(
		'no_preview' => true,
		'params' => array(
			'category' => array(
				'type' => 'select',
				'label' => __('Category', 'slicetheme'),
				'options' => $sc_woo_cat,
				'desc' => __('Select a Category you want to display', 'slicetheme')
				
			),
			'column' => array(
				'std' => '4',
				'type' => 'select',
				'label' => __('Columns', 'slicetheme'),
				'options' => array(2 => 2, 3 => 3, 4 => 4),
			),
			'item_number' => array(
				'std' => '4',
				'type' => 'text',
				'label' => __('Item Number', 'slicetheme'),
				'desc' => __('Number of post you want to show', 'slicetheme')
			)
		),
		'shortcode' => '[product_category category="{{category}}" columns="{{column}}" per_page="{{item_number}}" orderby="date" order="desc"]',
		'popup_title' => __('Insert WooCommerce Products by Category', 'slicetheme')
	);
	
	$zilla_shortcodes['woo_recent'] = array(
		'no_preview' => true,
		'params' => array(
			'column' => array(
				'std' => '4',
				'type' => 'select',
				'label' => __('Columns', 'slicetheme'),
				'options' => array(2 => 2, 3 => 3, 4 => 4),
			),
			'item_number' => array(
				'std' => '4',
				'type' => 'text',
				'label' => __('Item Number', 'slicetheme'),
				'desc' => __('Number of post you want to show', 'slicetheme')
			)
		),
		'shortcode' => '[recent_products columns="{{column}}" per_page="{{item_number}}" orderby="date" order="desc"]',
		'popup_title' => __('Insert WooCommerce Recent Products', 'slicetheme')
	);
	
	$zilla_shortcodes['woo_featured'] = array(
		'no_preview' => true,
		'params' => array(
			'column' => array(
				'std' => '4',
				'type' => 'select',
				'label' => __('Columns', 'slicetheme'),
				'options' => array(2 => 2, 3 => 3, 4 => 4),
			),
			'item_number' => array(
				'std' => '4',
				'type' => 'text',
				'label' => __('Item Number', 'slicetheme'),
				'desc' => __('Number of post you want to show', 'slicetheme')
			)
		),
		'shortcode' => '[featured_products columns="{{column}}" per_page="{{item_number}}" orderby="date" order="desc"]',
		'popup_title' => __('Insert WooCommerce Featured Products', 'slicetheme')
	);
}

?>