<?php

global $st_imgsize, $pb_enable, $pb_id;

if (have_posts()) :	while (have_posts()) : the_post();
	?>
	
	<!-- post entry -->
	<article id="post-<?php the_ID(); ?>" <?php post_class('page-single clearfix'); ?>>
		
		<?php
		if ( current_theme_supports('post-thumbnails') && has_post_thumbnail() ) {
			$thumbURL = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()), '');
			$thumbURL = $thumbURL[0];
		?>
		<div class="post-thumb">
			<a class="zoom" href="<?php echo $thumbURL; ?>" title="<?php the_title(); ?>" rel="prettyPhoto">
				<?php slicetheme_resizer($thumbURL, $st_imgsize['page']['w'], NULL, false); ?>
				<span class="zoom-overlay"></span>
				<span class="zoom-hover image"></span>
			</a>
		</div>
		<?php } ?>
        
        <div class="post-content">
			<?php 
			if ( $pb_enable == 'on' && intval($pb_id) > 0 ) {
				echo do_shortcode('[template id="'.$pb_id.'"]');
			}
			else {
				the_content();
				?>
				<div class="clearfix"></div>
				<?php
				wp_link_pages(array('before' => '<div class="pagination"><strong>'.__('Pages', 'slicetheme').'</strong> : ', 'after' => '</div>', 'next_or_number' => 'number'));
				if ( st_option('interface_editing') == 1 ) {
					edit_post_link(__('Edit Page', 'slicetheme'), '<div class="edit-link">', '</div>');
				}
			}
			?>			
		</div>

	</article>
	<!-- end post entry -->
		
	<?php
endwhile; endif;