<?php

global $st_imgsize;

if (have_posts()) : while (have_posts()) : the_post();
	?>
	
	<!-- portfolio entry -->
	<article id="post-<?php the_ID(); ?>" <?php post_class('portfolio-single clearfix'); ?>>
				
		<div class="row-fluid">
			
			<div class="span3">
							
				<div class="post-content">
					<?php the_content(); ?>
					<div class="clearfix"></div>				
					<?php
					wp_link_pages(array('before' => '<div class="pagination"><strong>'.__('Pages', 'slicetheme').'</strong> : ', 'after' => '</div>', 'next_or_number' => 'number'));
					if ( st_option('interface_editing') == 1 ) {
						edit_post_link(__('Edit Page', 'slicetheme'), '<div class="edit-link">', '</div>');
					}
					?>
				</div>
			
				<?php
				if ( st_option('interface_portfolio_meta') == 1 ) {
					echo do_shortcode('[heading"]'. __('Project Details', 'slicetheme') .'[/heading]'); 
					?>
					<div class="portfolio-meta">
						<?php if ( st_option('interface_portfolio_date') == 1 ) { ?>
						<?php $portfolio_date = get_post_meta(get_the_ID(), '_portfolio_date', TRUE); ?>
						<div class="post-date">
							<span><i class="icon-time"></i></span>
							<?php echo @date('M j, Y', $portfolio_date); ?>
						</div>
						<?php } ?>
						
						<?php if ( st_option('interface_portfolio_category') == 1 ) { ?>
						<?php $portfolio_category = get_the_term_list(get_the_ID(), 'portfolio-category', '', ', ', ''); ?>
						<div class="post-category">
							<span><i class="icon-tags"></i></span>
							<?php echo $portfolio_category; ?>
						</div>
						<?php } ?>
						
						<?php if ( st_option('interface_portfolio_client') == 1 ) { ?>
						<div class="post-client">					
							<span><i class="icon-user"></i></span>
							<?php echo get_post_meta(get_the_ID(), '_portfolio_client', TRUE); ?>
						</div>
						<?php } ?>
						
						<?php if ( st_option('interface_portfolio_website') == 1 ) { ?>
						<?php $portfolio_website = get_post_meta(get_the_ID(), '_portfolio_website', TRUE); ?>
						<div class="post-website">
							<span><i class="icon-link"></i></span>
							<a href="<?php echo $portfolio_website; ?>"><?php echo $portfolio_website; ?></a>
						</div>
						<?php } ?>
					</div>
					<?php
				}
				?>
				
			</div>
		
			<div class="span9">
			
				<?php
				$portfolio_type = get_post_meta(get_the_ID(), '_portfolio_type', TRUE);
				$portfolio_image = get_post_meta(get_the_ID(), '_portfolio_image', TRUE);
				$portfolio_video = get_post_meta(get_the_ID(), '_portfolio_video', TRUE);
				$portfolio_slider = get_post_meta(get_the_ID(), '_portfolio_slider', TRUE);
						
				switch ($portfolio_type):
					case 'image':
						if ( !empty($portfolio_image) ) {
						?>
						<div class="post-thumb">
							<a class="zoom" href="<?php echo $portfolio_image; ?>" title="<?php echo get_the_title(); ?>" rel="prettyPhoto">
								<?php slicetheme_resizer($portfolio_image, $st_imgsize['work-part']['w'], $st_imgsize['work-part']['h']); ?>
								<span class="zoom-overlay"></span>
								<span class="zoom-hover image"></span>
							</a>
						</div>
						<?php
						}
					break;
					case 'video':
						if ( !empty($portfolio_video) ) {
						?>
						<div class="post-media">
							<?php slicetheme_video($portfolio_video); ?>
						</div>
						<?php
						}
					break;
					case 'slider':
						if ( !empty($portfolio_slider) ) {
						?>
						<div class="flexslider post-slider">
							<ul class="slides">
								<?php foreach ( $portfolio_slider as $slider ) { ?>
								<li><a href="<?php echo $slider; ?>" title="<?php echo get_the_title(); ?>" rel="prettyPhoto[work_item]"><?php slicetheme_resizer($slider, $st_imgsize['work-part']['w'], $st_imgsize['work-part']['h']); ?></a></li>
								<?php } ?>
							</ul>
						</div>
						<?php
						}
					break;
				endswitch;
				?>
				
			</div>
		
		</div>
		
		<?php
		echo do_shortcode('[space]');
		echo do_shortcode('[heading align="center"]'. __('Latest Projects', 'slicetheme') .'[/heading]');
		echo do_shortcode('[portfolio_latest post_not_in="'. get_the_ID() .'"]');
		?>
		
		<!-- post nav -->
		<div class="post-nav">
			<?php previous_post_link('<div class="post-prev">%link</div>'); ?>
			<?php next_post_link('<div class="post-next">%link</div>'); ?>
		</div>
		<!-- end post nav -->
		
	</article>
	<!-- end portfolio entry -->

	<?php
endwhile; endif;
