<?php get_header(); ?>

<?php
global $page_default, $pb_enable, $pb_id;
$page_default = get_post_meta(get_the_ID(), '_page_default', TRUE);
$pb_enable = get_post_meta(get_the_ID(), '_pagebuilder_enable', TRUE);
$pb_id = get_post_meta(get_the_ID(), '_pagebuilder_template', TRUE);

$main_wrapper = 'main-wrapper';
$container_wrapper = 'container';
if ( $page_default == 'fw' && $pb_enable == 'on' && intval($pb_id) > 0 ) {
	$main_wrapper = 'section-wrapper';
	$container_wrapper = 'container-full';
}
?>
<!-- main-container -->
<section id="<?php echo $main_wrapper; ?>" role="main">

	<div class="<?php echo $container_wrapper; ?>">
	<div class="row-fluid">

		<?php		
		switch ($page_default):
			case 'lb':
				?>
				<!-- sidebar left -->
				<aside id="sidebar-wrapper" class="span3 sidebar">
				
					<?php get_sidebar(); ?>
				
				</aside>
				<!-- end sidebar left -->
				<div id="content-wrapper" class="span9 content-part">
				<?php
			break;
			case 'rb':
				?>
				<div id="content-wrapper" class="span9 content-part">
				<?php
			break;
			case 'fw':
			default:
				?>
				<div id="content-wrapper" class="span12 content-full">
				<?php
			break;
		endswitch;
		
		get_template_part( 'library/includes/loop', 'page' );
		
		switch ($page_default):
			case 'lb':
				?>
				</div>
				<?php
			break;
			case 'rb':
				?>
				</div>
				<!-- sidebar right -->
				<aside id="sidebar-wrapper" class="span3 sidebar">
				
					<?php get_sidebar(); ?>
				
				</aside>
				<!-- end sidebar right -->
				<?php
			break;
			case 'fw':
			default:
				?>
				</div>
				<?php
			break;
		endswitch;
		?>
	
	</div>
	</div>

</section>
<!-- end main-container -->

<?php get_footer(); ?>